Subject: [ipcdn] DOCSIS QoS MIB and the use of 0 as the wildcard VLAN ID

From: "Woundy, Richard" <[email-masked]>
Date: Mon, 31 Mar 2003 19:59:07 -0700

Folks,

I am concerned about the lack of resolution to this issue of a "default VLAN
ID" for the DOCSIS QoS MIB.

Besides my concern about using a different VLAN ID definition than other
IETF MIBs, my concern centers on this comment from Les Bell of 3Com:

>We should not use the value 0 to indicate "any" VLAN, as this may be
>used by 802.1D Bridges that support Priority Tagging, but do not
>support 802.1Q VLANs.

In a later email, as IETF MIB folks suggested using 4095 as the "wildcard"
VLAN ID, Les' reaction was:

>I have asked for the opinion of the IEEE 802.1 Task Force Chair, Mick
>Seaman, on this proposal.  He believes that the use of 4095 as a
>wildcard VLAN-ID would be okay, but he wants to discuss it formally at
>the IEEE 802 meeting in Dallas (week commencing March 9).  I will be
>attending this meeting.

I am going to try to find out the reaction of the IEEE to this proposal.

The latest proposed IETF TEXTUAL CONVENTION for a VLAN ID (with wildcard
support) is:

    VlanIdOrAny       ::= TEXTUAL CONVENTION
        DISPLAY-HINT "d"
        STATUS        current
        DESCRIPTION  "The VLAN ID that uniquely identifies a VLAN.
                      The value of -1 is used to indicate a wildcard,
                      i.e. any value.
                     "
        SYNTAX        Integer32 (-1 | 1..4094)

I cannot find anything in the DOCSIS specifications, outside of the DOCSIS
QoS MIB, that uses 0 as a special VLAN ID.

-- Rich

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Thursday, February 13, 2003 3:37 PM
To: Greg White; Wijnen, Bert (Bert); Eduardo Cardona; Ipcdn (E-mail)
Subject: RE: [ipcdn] quick review of draft-ietf-ipcdn-qos-mib-07.txt

Inline
> -----Original Message-----
> From: Greg White [mailto:[email-masked]]
> Sent: donderdag 13 februari 2003 20:07
> To: Wijnen, Bert (Bert); Eduardo Cardona; Ipcdn (E-mail)
> Subject: RE: [ipcdn] quick review of draft-ietf-ipcdn-qos-mib-07.txt
> 
> 
> It is important that the range for docsQosPktClassVlanId include the
> value 0:
> 
>                     If the referenced parameter is not present in the
>                     classifier, the value of this object is reported
>                     as 0.
> 
Well, yours also goes up to (and inclusive) 4095 while
bridgemib only goes up to (and inclusive 4094).

If zero is not a valid VLAN ID and you want to niclude it as
not present, then maybe yours should be renamed to
  docsQosPktClassVlanIdOrNone
or some such

Bert
> -Greg
> 
> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Thursday, February 13, 2003 11:44 AM
> To: Eduardo Cardona; Wijnen, Bert (Bert); Ipcdn (E-mail)
> Subject: RE: [ipcdn] quick review of draft-ietf-ipcdn-qos-mib-07.txt
> 
> 
> Eduardo writes:
> > 
> > FYI 
> > Could be in other places but a starting point. 
> > 
> > draft-ietf-bridge-bridgemib-01.txt
> > 
> > VlanId ::= TEXTUAL-CONVENTION
> >        STATUS      current
> >        DESCRIPTION
> >            "The 12-bit VLAN ID used in the VLAN Tag header."
> >        SYNTAX      INTEGER (1..4094)
> > 
> And so... why does yours differ
> docsQosPktClassVlanId OBJECT-TYPE
>     SYNTAX          Integer32 (0..4095)
>     MAX-ACCESS      read-only
>     STATUS          current
> 
> I am not claiming that one is better than the other.
> But I always wonder why they are different.
> Best to try and get in touch with the bridgemib people
> 
> Bert

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn